#### Description:

This function returns the number of dimensions spaned by each value in a named column of a Table, together with the length of each dimension. These are the values supplied when the column was created using astAddColumn.

#### Synopsis

void astColumnShape( AstTable ∗this, const char ∗column, int mxdim, int ∗ndim, int ∗dims )

#### Parameters:

##### this

Pointer to the Table.

##### column

The character string holding the upper case name of the column. Trailing spaces are ignored.

##### mxdim

The length of the `"` dims`"` array.

##### ndim

Pointer to an int in which to return the number of dimensions spanned by values in the named column. This will be zero if the column contains scalar values.

##### dims

Pointer to an array in which to return the length of each dimension. Any excess trailing elements will be filled with the value 1.

#### Notes:

- No error is reported if the requested column cannot be found in the given Table. A value of zero is returned for `"` ndim`"` and the supplied values in `"` dims`"` are left unchanged.

- A value of zero is returned for `"` ndim`"` if an error occurs.

Copyright (C) 2021 East Asian Observatory